package com.bonus.core.menu.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalTime;

@ApiModel("餐次时段Model")
public class AllocMealtimeModel {
   @ApiModelProperty("餐次id")
   private Long mealtimeId;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("餐次时段")
   private LocalTime startTime;
   private LocalTime endTime;
   @ApiModelProperty("预订时段")
   private LocalTime reserveStartTime;
   private LocalTime reserveEndTime;
   @ApiModelProperty("预订退单截止时间")
   private LocalTime reserveRefundDeadline;
   @ApiModelProperty("系统集中自动打印时间")
   private LocalTime reservePrintTime;
   @ApiModelProperty("点餐时段")
   private LocalTime currStartTime;
   private LocalTime currEndTime;
   @ApiModelProperty("点餐退单截止时间")
   private LocalTime currRefundDeadline;
   @ApiModelProperty("当餐报餐截止时间")
   private LocalTime bookCurrDeadline;
   @ApiModelProperty("报餐退单截止时间")
   private LocalTime bookRefundDeadline;
   @ApiModelProperty("报餐金额")
   private BigDecimal bookAmount;
   @ApiModelProperty("是否启用")
   private Integer ifUse;

   public Long getMealtimeId() {
      return this.mealtimeId;
   }

   public String getMealtimeName() {
      return this.mealtimeName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public LocalTime getStartTime() {
      return this.startTime;
   }

   public LocalTime getEndTime() {
      return this.endTime;
   }

   public LocalTime getReserveStartTime() {
      return this.reserveStartTime;
   }

   public LocalTime getReserveEndTime() {
      return this.reserveEndTime;
   }

   public LocalTime getReserveRefundDeadline() {
      return this.reserveRefundDeadline;
   }

   public LocalTime getReservePrintTime() {
      return this.reservePrintTime;
   }

   public LocalTime getCurrStartTime() {
      return this.currStartTime;
   }

   public LocalTime getCurrEndTime() {
      return this.currEndTime;
   }

   public LocalTime getCurrRefundDeadline() {
      return this.currRefundDeadline;
   }

   public LocalTime getBookCurrDeadline() {
      return this.bookCurrDeadline;
   }

   public LocalTime getBookRefundDeadline() {
      return this.bookRefundDeadline;
   }

   public BigDecimal getBookAmount() {
      return this.bookAmount;
   }

   public Integer getIfUse() {
      return this.ifUse;
   }

   public void setMealtimeId(final Long mealtimeId) {
      this.mealtimeId = mealtimeId;
   }

   public void setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setStartTime(final LocalTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalTime endTime) {
      this.endTime = endTime;
   }

   public void setReserveStartTime(final LocalTime reserveStartTime) {
      this.reserveStartTime = reserveStartTime;
   }

   public void setReserveEndTime(final LocalTime reserveEndTime) {
      this.reserveEndTime = reserveEndTime;
   }

   public void setReserveRefundDeadline(final LocalTime reserveRefundDeadline) {
      this.reserveRefundDeadline = reserveRefundDeadline;
   }

   public void setReservePrintTime(final LocalTime reservePrintTime) {
      this.reservePrintTime = reservePrintTime;
   }

   public void setCurrStartTime(final LocalTime currStartTime) {
      this.currStartTime = currStartTime;
   }

   public void setCurrEndTime(final LocalTime currEndTime) {
      this.currEndTime = currEndTime;
   }

   public void setCurrRefundDeadline(final LocalTime currRefundDeadline) {
      this.currRefundDeadline = currRefundDeadline;
   }

   public void setBookCurrDeadline(final LocalTime bookCurrDeadline) {
      this.bookCurrDeadline = bookCurrDeadline;
   }

   public void setBookRefundDeadline(final LocalTime bookRefundDeadline) {
      this.bookRefundDeadline = bookRefundDeadline;
   }

   public void setBookAmount(final BigDecimal bookAmount) {
      this.bookAmount = bookAmount;
   }

   public void setIfUse(final Integer ifUse) {
      this.ifUse = ifUse;
   }

   protected boolean canEqual(final Object other) {
      return other instanceof AllocMealtimeModel;
   }


}
